Bug 1126421 - ImportError: libsasl2.so.2: cannot open shared object file: No such file or directory
Summary: ImportError: libsasl2.so.2: cannot open shared object file: No such file or d...
Keywords:
Status: CLOSED DUPLICATE of bug 1071785
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: redhat-upgrade-tool
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Shea
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 12:08 UTC by Branislav Blaškovič
Modified: 2014-09-18 07:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-04 20:43:30 UTC


Attachments (Terms of Use)
Logs attached (201.24 KB, application/zip)
2014-08-04 12:08 UTC, Branislav Blaškovič
no flags Details

Description Branislav Blaškovič 2014-08-04 12:08:27 UTC
Created attachment 923859 [details]
Logs attached

I was upgrading RHEL-6.6-20140718.0 to rhel7. 

See attached logs.

This part is important:

    Jul 31 12:19:29 unused-4-151.brq.redhat.com systemd[1]: Starting System Upgrade (post)...
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: starting upgrade-post hook
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: Traceback (most recent call last):
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: File "/usr/bin/redhat-upgrade-tool-cli", line 26, in <module>
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: from redhat_upgrade_tool.download import UpgradeDownloader, YumBaseError, yum_plugin_for_exc
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: File "/usr/lib/python2.7/site-packages/redhat_upgrade_tool/download.py", line 21, in <module>
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: import yum
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 59, in <module>
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: import config
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: File "/usr/lib/python2.7/site-packages/yum/config.py", line 30, in <module>
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: from parser import ConfigPreProcessor, varReplace
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: File "/usr/lib/python2.7/site-packages/yum/parser.py", line 4, in <module>
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: import urlgrabber
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: File "/usr/lib/python2.7/site-packages/urlgrabber/__init__.py", line 55, in <module>
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: from grabber import urlgrab, urlopen, urlread
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 512, in <module>
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: import pycurl
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: ImportError: libsasl2.so.2: cannot open shared object file: No such file or directory
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: Running postupgrade scripts...
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: Running /root/preupgrade/postupgrade.d/clean_rhel6_pkgs/postupgrade_cleanup.sh...
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: Remove preupgrade-assistant package
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: package preupgrade-assistant-contents-users is not installed
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: preupgrade-assistant-contents-0.5.14-1.el6.noarch
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: package preupgrade-assistant-ui is not installed
    Jul 31 12:19:29 unused-4-151.brq.redhat.com upgrade-post[8377]: preupgrade-assistant-1.0.2-33.el6.x86_64

Comment 2 David Shea 2014-08-04 20:43:30 UTC

*** This bug has been marked as a duplicate of bug 1071785 ***

Comment 3 Petr Hracek 2014-08-05 07:56:29 UTC
Hi David,

do you think that the bug is really a duplicate of bug #1071785.
Upgrade scenario was:
1) Machine was installed on OpenStack
2) After running preupg redhat-upgrade-tool was executed
3) Logging to RHEL-7 was not possible.

On the machine was not installed any qemu-kvm.

This is completely different use case I think.
What do you think about it?

Comment 4 David Shea 2014-08-05 14:46:56 UTC
I think the underlying cause is the same, in that libsasl is not being upgraded due to unupgradable dependencies from RHEL-6. In bug 1071785 the spice and gtk-vnc packages were the source of the dependency problem. In this one it's openldap. If this is something that can be fixed in preupgrade, feel free to re-open the bug.

Comment 5 rarrao 2014-09-18 07:43:23 UTC
Hi,
id=1071785 is not accessible 
> You are not authorized to access bug #1071785.


I have the same issue with a binary from RHEL 6.
When I run this binary on RHEL 7, I get the error:

error while loading shared libraries: libsasl2.so.2: cannot open shared object file: No such file or directory

I tried installing  rpm -i cyrus-sasl-lib-2.1.26-19.fc22.x86_64.rpm
but it conflicts with cyrus-sasl-lib-2.1.26-17.el7.x86_64

        file /usr/lib64/libsasl2.so.3.0.0 from install of cyrus-sasl-lib-2.1.26-19.fc22.x86_64 conflicts with file from package cyrus-sasl-lib-2.1.26-17.el7.x86_64


Basically I want libsasl2.so.2 on RHEL 7. Which package do I have to download & install?

Thanks

[root@rhel7orcl1212 ~]# uname -a
Linux rhel7orcl1212 3.10.0-123.el7.x86_64 #1 SMP Mon May 5 11:16:57 EDT 2014 x86_64 x86_64 x86_64 GNU/Linux
[root@rhel7orcl1212 ~]# cat /etc/*release*
NAME="Red Hat Enterprise Linux Server"
VERSION="7.0 (Maipo)"
ID="rhel"
ID_LIKE="fedora"
VERSION_ID="7.0"
PRETTY_NAME="Red Hat Enterprise Linux Server 7.0 (Maipo)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.0:GA:server"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Linux 7"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.0
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION=7.0
Red Hat Enterprise Linux Server release 7.0 (Maipo)
Red Hat Enterprise Linux Server release 7.0 (Maipo)
cpe:/o:redhat:enterprise_linux:7.0:ga:server


Note You need to log in before you can comment on or make changes to this bug.